#!/usr/bin/env node

const Tail = require("tail").Tail;
const config = require("./config");
const Services = require("./services");
const LogBuffer = require("./lib/log-buffer");

const services = new Services();
const logBuffer = new LogBuffer();

tail = new Tail(config.file, config.tailOptions);

tail.on("line", data => {
  logBuffer.add(data);
  for (const grep of config.grep) {
    const res = data.search(grep);
    if (res > 0) services.notify(logBuffer);
  }
});
