if (!process.env.FILE_PATH)
  throw Error("File path is not defined. Set it as an env var.");
if (!process.env.SERVICES)
  throw Error(
    "Services are not defined. Set it as an env var separated with comma: `ses,sms,push`."
  );
if (!process.env.GREP)
  throw Error(
    "Grep is not defined. Set it as an env var separated with comma: `error,50,40`."
  );

const grepSplit = process.env.GREP_SEPARATOR || ",";
const exported = {
  file: process.env.FILE_PATH,
  services: process.env.SERVICES.split(","),
  grep: process.env.GREP.split(grepSplit),
  serviceName: process.env.SERVICE_NAME || "juanpa-bot",
  log: require("./logger"),
  tailOptions: {
    separator: /[\r]{0,1}\n/,
    fromBeginning: process.env.FROM_BEGINNING || false, // TODO: Validate those two parameters
    follow: process.env.FOLLOW || true
  }
};

exported.log.info({ env: process.env, exported: exported });

module.exports = exported;
