class LogBuffer {
  constructor(size) {
    this._size = size || parseInt(process.env.LOG_BUFFER_SIZE) || 10;
    this.buffer = [];
  }

  add(value) {
    if (this.buffer.push(value) > this._size) this.buffer.shift();
  }

  toString() {
    return this.buffer.join("\n");
  }
}

module.exports = LogBuffer;
