const config = require("../config");
const SES = require("./ses");

class Services {
  constructor(servicesList) {
    this._servicesList = servicesList || config.services;
    this.services = [];

    for (const service of this._servicesList) {
      // If you want to include a new service, add it in the list below
      // To see best practices when adding a service, go to the README
      switch (service) {
        case "ses":
          this.services.push(new SES());
      }
    }

    if (this.services.length === 0)
      throw Error(
        "There is no service to notify. Add it as an env var separated with comma"
      );
  }

  notify(logBuffer) {
    for (const service of this.services) {
      service.send(logBuffer);
    }
  }
}

module.exports = Services;
